com.amazonaws.services.workspaces.model

## Class ModifyWorkspacePropertiesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.ModifyWorkspacePropertiesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ModifyWorkspacePropertiesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ModifyWorkspacePropertiesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModifyWorkspacePropertiesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkspaceId()` The ID of the WorkSpace.
`WorkspaceProperties` `getWorkspaceProperties()` The WorkSpace properties of the request.
`int` `hashCode()`
`void` `setWorkspaceId(String workspaceId)` The ID of the WorkSpace.
`void` `setWorkspaceProperties(WorkspaceProperties workspaceProperties)` The WorkSpace properties of the request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ModifyWorkspacePropertiesRequest` `withWorkspaceId(String workspaceId)` The ID of the WorkSpace.
`ModifyWorkspacePropertiesRequest` `withWorkspaceProperties(WorkspaceProperties workspaceProperties)` The WorkSpace properties of the request.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModifyWorkspacePropertiesRequest

    public ModifyWorkspacePropertiesRequest()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.

#### getWorkspaceId

    public String getWorkspaceId()

The ID of the WorkSpace.

Returns:
  The ID of the WorkSpace.

#### withWorkspaceId

    public ModifyWorkspacePropertiesRequest withWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkspaceProperties

    public void setWorkspaceProperties(WorkspaceProperties workspaceProperties)

The WorkSpace properties of the request.

Parameters:
  `workspaceProperties` - The WorkSpace properties of the request.

#### getWorkspaceProperties

    public WorkspaceProperties getWorkspaceProperties()

The WorkSpace properties of the request.

Returns:
  The WorkSpace properties of the request.

#### withWorkspaceProperties

    public ModifyWorkspacePropertiesRequest withWorkspaceProperties(WorkspaceProperties workspaceProperties)

The WorkSpace properties of the request.

Parameters:
  `workspaceProperties` - The WorkSpace properties of the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ModifyWorkspacePropertiesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`